// bring in normalize.css styles - https://necolas.github.io/normalize.css/
// Normalize.css makes browsers render all elements more consistently and in line with modern standards
@import-normalize ;

@import "font-awesome/css/fontawesome.css";
//@import "font-awesome/css/brands.css";
@import "font-awesome/css/solid.css";
@import "font-awesome/css/regular.css";
@import "font-awesome/css/light.css";
@import "font-awesome/css/duotone.css";

@import "components/bases/root";
@import "components/bases/mode-theme";
@import "./animate.min.css";

html, body {
    margin: 0;
    padding: 0;
    font-family: var(--font-family-sans-serif);
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    line-height: 1.25; // for vietnamese font display sign
}

code, pre {
    font-family: var(--font-family-monospace);
}

button, h1, h2, h3, h4, h5, h6, ol, p, input, textarea, th, ul, div, span, i, canvas {
    background: transparent;
    border: 0;
    border-radius: 0;
    list-style: none;
    margin: 0;
    outline: 0;
    overflow: visible;
    padding: 0;
    text-align: inherit;
    vertical-align: baseline;
    font-family: var(--font-family-sans-serif);
}

table {
    border-spacing: 0;
}

.visible {
    visibility: visible;
}

.invisible {
    visibility: hidden;
}

.show {
    display: block;
}

.hide {
    display: none;
}

.no-select {
    user-select: none;
}

.ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

@media print {
    .no-print, .no-print * {
        display: none !important;
    }
}

.none {
    display: none;
}

.flex {
    display: flex;
}

.full-height {
    height: 100vh;
    overflow: hidden;
}
